#include <owl\applicat.h>
#include <owl\framewin.h>
#include <owl\inputdia.h>
#include "pr23_1.rc"

// 
class TApp: public TApplication
{
  public:
	 TApp():TApplication(){}
	 void InitMainWindow();
};

//  
class TWndw:public TFrameWindow
{
  public:
	 TWndw(TWindow *parent, const char far *title);
  protected:
	 void CmInputDlg();

	 DECLARE_RESPONSE_TABLE (TWndw);
};

DEFINE_RESPONSE_TABLE1 (TWndw, TFrameWindow)
  EV_COMMAND(CM_INPUTDLG,CmInputDlg),
END_RESPONSE_TABLE;

TWndw::TWndw(TWindow *parent, const char far *title):
		  TFrameWindow(parent,title)
{
	//     .
	AssignMenu("MENU_1");
	//     .
	Attr.X=50;
	Attr.Y=50;
	Attr.W=GetSystemMetrics(SM_CXSCREEN)/3;
	Attr.H=GetSystemMetrics(SM_CXSCREEN)/4;
}

// TWndw::CmInputDlg()
//      Dialog/Test
//  Dialog.
void TWndw::CmInputDlg()
{
  char str[81] = "  ";
  //   .
  TInputDialog *dialog = new TInputDialog(this, 
    "  ", " :", str, sizeof(str));
  //   .
  int result = dialog->Execute();
  //     ... 
  if (result == IDOK)
     MessageBox(str,"",MB_OK);
}


void TApp::InitMainWindow()
{
  TFrameWindow *wndw= new TWndw(0,"  ");
  SetMainWindow(wndw);
}

int OwlMain(int,char *[])
{
  return TApp().Run();
}
